import { createApp } from 'vue'
import 'normalize.css'
import App from './App.vue'
import router from "./router"
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import '@/assets/css/style.scss' //公共样式

//element图标
import * as ElementPlusIconsVue from '@element-plus/icons-vue'


const app = createApp(App)

//注册图标
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}

app.use(ElementPlus)
app.use(router)
app.mount('#app')
